import java.sql.*;
import javax.sql.*;
import javax.naming.*;

public class TableDataBean{
    private Connection conn = null;
    private String query = null;
    private String tableData = null;
    
    public TableDataBean(){
    }

    public void setTableData(String query) throws SQLException{
	this.query = query;
	StringBuffer sb = new StringBuffer();
        try{
	    /*SQLsƏʎ擾*/
	    conn = getPooledConnection();
	    Statement stmt = conn.createStatement();
	    ResultSet rs = stmt.executeQuery("SELECT * FROM HOGE"); 
	    ResultSetMetaData meta = rs.getMetaData();
	    while (rs.next()) {
		sb.append("<tr>");
		for (int i=0; i<meta.getColumnCount(); i++) {
		    Object cell = rs.getObject(i+1);
		    sb.append("<td>");
		    sb.append(cell);
		    sb.append("</td>");
		}
		sb.append("</tr>");
	    }
	    rs.close();
	    stmt.close();
	    tableData = sb.toString();
	}finally{
	    /*ڑ̉*/
	    if(conn != null) conn.close();
	}
    }

    public String getTableData(){
	return tableData;
    }

    private Connection getPooledConnection(){
	Connection conn = null;
	try{
	    /*ڑ̊m*/
	    Context ctx = new InitialContext();
            DataSource ds = (DataSource)ctx.lookup("jdbc/myDB");
            Connection conn = ds.getConnection();

	    //ȉCaucho ResinDataSource API𗘗p
	    //Context ctx = (Context) new InitialContext().lookup("java:comp/env");
	    //DataSource ds = (DataSource)ctx.lookup("jdbc/myDB");
	    //Connection conn = ds.getConnection();

	}catch(Exception e){
	    System.out.println("ERR- getPooledConnection()");
	}
	return conn;
    }

}
